package cn.com.qmth.stmms.biz.exam.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.stmms.biz.common.BaseQueryService;
import cn.com.qmth.stmms.biz.exam.dao.OperationLogDao;
import cn.com.qmth.stmms.biz.exam.model.OperationLog;
import cn.com.qmth.stmms.biz.exam.service.OperationLogService;

@Service
public class OperationLogServiceImpl extends BaseQueryService<OperationLog> implements OperationLogService {

    @Autowired
    private OperationLogDao logDao;

    @Transactional
    @Override
    public OperationLog save(OperationLog log) {
        return logDao.save(log);
    }

}
