package cn.com.qmth.stmms.api.controller;

import javax.servlet.http.HttpServletRequest;

import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import cn.com.qmth.stmms.biz.exam.model.Exam;
import cn.com.qmth.stmms.biz.exam.service.ExamService;
import cn.com.qmth.stmms.biz.exam.service.ExamSubjectService;

@Controller("coreApiController")
@RequestMapping("/api/core")
public class CoreController extends BaseApiController {

    @Autowired
    private ExamService examService;

    @Autowired
    private ExamSubjectService subjectService;

    @RequestMapping(value = "/exam/save", method = RequestMethod.POST)
    @ResponseBody
    public JSONObject save(HttpServletRequest request, Exam exam) {
        JSONObject result = new JSONObject();
        exam = examService.save(exam);
        result.accumulate("id", exam.getId());
        result.accumulate("updateTime", exam.getId());
        return result;
    }

    @RequestMapping(value = "/exam/student/save", method = RequestMethod.POST)
    @ResponseBody
    public JSONObject studentSave(HttpServletRequest request) {
        JSONObject result = new JSONObject();
        return result;
    }

    @RequestMapping(value = "/student/query", method = RequestMethod.POST)
    @ResponseBody
    public JSONArray studentQuery(HttpServletRequest request) {
        JSONArray result = new JSONArray();
        return result;
    }

    @RequestMapping(value = "/exam/student/score", method = RequestMethod.POST)
    @ResponseBody
    public JSONArray getScore(HttpServletRequest request) {
        JSONArray result = new JSONArray();
        return result;
    }

}
